質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.37%

monaca cordova-plugin-firebase スプラッシュ画面後、落ちる

解決済

回答 3

投稿

  • 評価
  • クリップ 1
  • VIEW 1,421

kumakake

score 37

Monaca + Firebaseでプッシュ配信の作成をしようとしています。
ところが、cordova-plugin-firebaseをインポートして実機にインストールしたところ、スプラッシュ画面語にアベンドしていまいます。

1)Monaca + AngularJSで最小構成のプロジェクトを作成します
2)cordova-plugin-firebaseをインポートします
3)デバッグビルドします
4)実機にインストールします
iPhone6sPlus iOS11.4.1

この後起動すると「Monaca」ってスプラッシュ画面が表示された後にアベンドします。

cordova-plugin-firebaseのバージョンダウンすると動作するとの記事がありましたので
cordova-plugin-firebase@0.1.22やcordova-plugin-firebase@1.0.4を試したのですが同じでした。

どのようなバージョンを使えば動作するでしょうか?
よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

+1

結局、下記のサイトを参照しています。
「cordovaでFirebase Cloud Messagingを使ってみる。」
https://qiita.com/donuzium/items/9384ae49f4c5b4b645a2

cordova-plugin-fcmを利用しています。

Firebaseからのメッセージ送信の動作確認はできました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

checkベストアンサー

0

少し確認してみたのですが、バージョンの問題ではないように思います。cordova-plugin-firebaseのドキュメント
https://github.com/arnesson/cordova-plugin-firebase
には
Firebase SDK requires the configuration files to be present and valid, otherwise your app will crash on boot or Firebase features won't work.
と記述されており、報告されている現象と似ているように思いました。
GoogleService-Info.plistファイルが用意されてないか、または、その設定がアプリと合っていない可能性はありませんでしょうか?

また、プッシュ配信を行いたいということであれば、phonegap-plugin-pushの方が実績があるためおすすめします。(こちらも最新版だとMonacaでAndroidがうまく動作しないので、バージョン2.1.2くらいが良いように思います。また、cordova-plugin-firebaseと同様、GoogleService-Info.plistが必要です。MonacaBackendも、最新版では内部的にphonegap-plugin-pushを利用しています。)

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/09/03 11:25

    ありがとうございます。
    確認してみます!

    キャンセル

  • 2018/09/03 12:08

    補足になりますが、先週の金曜日にリリースされたcordova-plugin-firebaseのバージョン1.1は、Android版でMonacaでうまくビルド出来ない問題があるので、1.1の使用は少し待った方がよいようです。

    キャンセル

  • 2018/09/06 18:14

    ありがとうございます!

    キャンセル

0

こんにちは!

結局、 cordova-plugin-fmc を利用しています。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る